> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# haloitsm-people

> HaloITSM People - Manage agents, users, clients, teams, and sites

**Server path:** `/haloitsm-people` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                            | Description           |
| ------------------------------------------------------------------------------- | --------------------- |
| [`haloitsm_people_create_agent`](#haloitsm_people_create_agent)                 | POST /Agent           |
| [`haloitsm_people_create_client`](#haloitsm_people_create_client)               | POST /Client          |
| [`haloitsm_people_create_site`](#haloitsm_people_create_site)                   | POST /Site            |
| [`haloitsm_people_create_team`](#haloitsm_people_create_team)                   | POST /Team            |
| [`haloitsm_people_create_users`](#haloitsm_people_create_users)                 | POST /Users           |
| [`haloitsm_people_delete_agent_by_id`](#haloitsm_people_delete_agent_by_id)     | DELETE /Agent/\{id}   |
| [`haloitsm_people_delete_client_by_id`](#haloitsm_people_delete_client_by_id)   | DELETE /Client/\{id}  |
| [`haloitsm_people_delete_site_by_id`](#haloitsm_people_delete_site_by_id)       | DELETE /Site/\{id}    |
| [`haloitsm_people_delete_team_by_id`](#haloitsm_people_delete_team_by_id)       | DELETE /Team/\{id}    |
| [`haloitsm_people_delete_users_by_id`](#haloitsm_people_delete_users_by_id)     | DELETE /Users/\{id}   |
| [`haloitsm_people_get_agent_by_id`](#haloitsm_people_get_agent_by_id)           | Get one Uname         |
| [`haloitsm_people_get_client_by_id`](#haloitsm_people_get_client_by_id)         | Get one Area          |
| [`haloitsm_people_get_site_by_id`](#haloitsm_people_get_site_by_id)             | Get one Site          |
| [`haloitsm_people_get_team_by_id`](#haloitsm_people_get_team_by_id)             | Get one SectionDetail |
| [`haloitsm_people_get_users_by_id`](#haloitsm_people_get_users_by_id)           | Get one Users         |
| [`haloitsm_people_list_agent`](#haloitsm_people_list_agent)                     | List of Uname         |
| [`haloitsm_people_list_agent_me`](#haloitsm_people_list_agent_me)               | GET /Agent/me         |
| [`haloitsm_people_list_client`](#haloitsm_people_list_client)                   | List of Area          |
| [`haloitsm_people_list_client_me`](#haloitsm_people_list_client_me)             | GET /Client/me        |
| [`haloitsm_people_list_site`](#haloitsm_people_list_site)                       | List of Site          |
| [`haloitsm_people_list_site_stock_bins`](#haloitsm_people_list_site_stock_bins) | GET /Site/StockBins   |
| [`haloitsm_people_list_team`](#haloitsm_people_list_team)                       | List of SectionDetail |
| [`haloitsm_people_list_team_tree`](#haloitsm_people_list_team_tree)             | GET /Team/Tree        |
| [`haloitsm_people_list_users`](#haloitsm_people_list_users)                     | List of Users         |
| [`haloitsm_people_list_users_me`](#haloitsm_people_list_users_me)               | GET /Users/me         |
| [`haloitsm_people_prefs_users_prefs`](#haloitsm_people_prefs_users_prefs)       | POST /Users/prefs     |

***

## haloitsm\_people\_create\_agent

POST /Agent

**Parameters:**

| Parameter | Type      | Required | Default | Description  |
| --------- | --------- | -------- | ------- | ------------ |
| `body`    | object\[] | No       | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "sites": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "agent_name": {
                    "type": "string"
                  },
                  "role_id": {
                    "type": "string"
                  },
                  "role_name": {
                    "type": "string"
                  },
                  "site_id": {
                    "type": "integer"
                  },
                  "site_name": {
                    "type": "string"
                  },
                  "level": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  }
                }
              },
              "description": "The sites value"
            },
            "id": {
              "type": "integer",
              "format": "int32",
              "description": "The id value"
            },
            "name": {
              "type": "string",
              "description": "The name value"
            },
            "onlinestatus_actual": {
              "type": "integer",
              "format": "int32",
              "description": "Onlinestatus Actual"
            },
            "onlinestatus": {
              "type": "integer",
              "format": "int32",
              "description": "The onlinestatus value"
            },
            "is_online": {
              "type": "boolean",
              "description": "Is Online"
            },
            "lastonline": {
              "type": "string",
              "description": "The lastonline value"
            },
            "team": {
              "type": "string",
              "description": "The team value"
            },
            "isdisabled": {
              "type": "boolean",
              "description": "The isdisabled value"
            },
            "email": {
              "type": "string",
              "description": "The email value"
            },
            "ad": {
              "type": "string",
              "description": "The ad value"
            },
            "lastlogindate": {
              "type": "string",
              "format": "date-time",
              "description": "The lastlogindate value"
            },
            "agentphotopath": {
              "type": "string",
              "description": "The agentphotopath value"
            },
            "initials": {
              "type": "string",
              "description": "The initials value"
            },
            "firstname": {
              "type": "string",
              "description": "The firstname value"
            },
            "surname": {
              "type": "string",
              "description": "The surname value"
            },
            "colour": {
              "type": "string",
              "description": "The colour value"
            },
            "jobtitle": {
              "type": "string",
              "description": "The jobtitle value"
            },
            "sms": {
              "type": "string",
              "description": "The sms value"
            },
            "extensionnumber": {
              "type": "string",
              "description": "The extensionnumber value"
            },
            "ticket_count": {
              "type": "integer",
              "format": "int32",
              "description": "Ticket Count"
            },
            "is_agent": {
              "type": "boolean",
              "description": "Is Agent"
            },
            "one_client": {
              "type": "integer",
              "format": "int32",
              "description": "One Client"
            },
            "teams": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "agent_name": {
                    "type": "string"
                  },
                  "team_id": {
                    "type": "integer"
                  },
                  "team_guid": {
                    "type": "string"
                  },
                  "team_name": {
                    "type": "string"
                  },
                  "department_id": {
                    "type": "integer"
                  },
                  "org_department_team_name": {
                    "type": "string"
                  },
                  "role_id": {
                    "type": "string"
                  },
                  "role_name": {
                    "type": "string"
                  },
                  "is_manager": {
                    "type": "boolean"
                  },
                  "no_config_access": {
                    "type": "boolean"
                  },
                  "unassigned_access": {
                    "type": "boolean"
                  },
                  "otheragent_access": {
                    "type": "boolean"
                  },
                  "fortickets": {
                    "type": "boolean"
                  },
                  "foropps": {
                    "type": "boolean"
                  },
                  "forprojects": {
                    "type": "boolean"
                  },
                  "in_section": {
                    "type": "boolean"
                  },
                  "excludeautoassign": {
                    "type": "boolean"
                  },
                  "namewithinactive": {
                    "type": "string"
                  },
                  "exclude_from_team_resource_booking": {
                    "type": "boolean"
                  },
                  "isintegration": {
                    "type": "boolean"
                  }
                }
              },
              "description": "The teams value"
            },
            "departments": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "agent_name": {
                    "type": "string"
                  },
                  "department_id": {
                    "type": "integer"
                  },
                  "department_guid": {
                    "type": "string"
                  },
                  "department_name": {
                    "type": "string"
                  },
                  "role_id": {
                    "type": "string"
                  },
                  "role_name": {
                    "type": "string"
                  },
                  "membershiplevel": {
                    "type": "integer"
                  },
                  "includeteamsintree": {
                    "type": "boolean"
                  }
                }
              },
              "description": "The departments value"
            },
            "clients": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "agent_name": {
                    "type": "string"
                  },
                  "client_id": {
                    "type": "integer"
                  },
                  "client_name": {
                    "type": "string"
                  },
                  "role_id": {
                    "type": "string"
                  },
                  "role_name": {
                    "type": "string"
                  }
                }
              },
              "description": "The clients value"
            },
            "tickettypes": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "agent_name": {
                    "type": "string"
                  },
                  "tickettype_id": {
                    "type": "integer"
                  },
                  "tickettype_guid": {
                    "type": "string"
                  },
                  "tickettype_name": {
                    "type": "string"
                  },
                  "role_id": {
                    "type": "string"
                  },
                  "role_name": {
                    "type": "string"
                  },
                  "cancreate": {
                    "type": "boolean"
                  },
                  "canview": {
                    "type": "boolean"
                  },
                  "canedit": {
                    "type": "boolean"
                  },
                  "can_upload_attachments": {
                    "type": "boolean"
                  },
                  "can_view_attachments": {
                    "type": "boolean"
                  },
                  "can_download_attachments": {
                    "type": "boolean"
                  },
                  "can_edit_attachments": {
                    "type": "boolean"
                  },
                  "can_view_action_history": {
                    "type": "boolean"
                  },
                  "_warning": {
                    "type": "string"
                  }
                }
              },
              "description": "The tickettypes value"
            },
            "qualifications": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "agent_name": {
                    "type": "string"
                  },
                  "qualification_id": {
                    "type": "integer"
                  },
                  "qualification_name": {
                    "type": "string"
                  },
                  "role_id": {
                    "type": "string"
                  },
                  "role_name": {
                    "type": "string"
                  },
                  "date": {
                    "type": "string"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "enddate": {
                    "type": "string"
                  }
                }
              },
              "description": "The qualifications value"
            },
            "qualification_weighting": {
              "type": "integer",
              "format": "int32",
              "description": "Qualification Weighting"
            },
            "qualified": {
              "type": "boolean",
              "description": "The qualified value"
            },
            "role_list": {
              "type": "string",
              "description": "Role List"
            },
            "current_action_type": {
              "type": "string",
              "description": "Current Action Type"
            },
            "current_action_name": {
              "type": "string",
              "description": "Current Action Name"
            },
            "assettypes": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "agent_name": {
                    "type": "string"
                  },
                  "assettype_id": {
                    "type": "integer"
                  },
                  "assettype_name": {
                    "type": "string"
                  },
                  "role_id": {
                    "type": "string"
                  },
                  "role_name": {
                    "type": "string"
                  },
                  "cancreate": {
                    "type": "boolean"
                  },
                  "canview": {
                    "type": "boolean"
                  },
                  "canedit": {
                    "type": "boolean"
                  },
                  "_warning": {
                    "type": "string"
                  }
                }
              },
              "description": "The assettypes value"
            },
            "googleemail": {
              "type": "string",
              "description": "The googleemail value"
            },
            "linemanager": {
              "type": "integer",
              "format": "int32",
              "description": "The linemanager value"
            },
            "linemanager_name": {
              "type": "string",
              "description": "Linemanager Name"
            },
            "inboxes": {
              "type": "integer",
              "format": "int32",
              "description": "The inboxes value"
            },
            "exchange_authorized": {
              "type": "boolean",
              "description": "Exchange Authorized"
            },
            "exchange_account": {
              "type": "string",
              "description": "Exchange Account"
            },
            "sentinel_authorized": {
              "type": "boolean",
              "description": "Sentinel Authorized"
            },
            "licence_type": {
              "type": "integer",
              "format": "int32",
              "description": "Licence Type"
            },
            "named_licences_in_use": {
              "type": "integer",
              "format": "int32",
              "description": "Named Licences In Use"
            },
            "concurrent_licences_in_use": {
              "type": "integer",
              "format": "int32",
              "description": "Concurrent Licences In Use"
            },
            "concurrent_agent_total": {
              "type": "integer",
              "format": "int32",
              "description": "Concurrent Agent Total"
            },
            "google_mail_authorized": {
              "type": "boolean",
              "description": "Google Mail Authorized"
            },
            "inbox_clientid": {
              "type": "string",
              "description": "Inbox Clientid"
            },
            "isapiagent": {
              "type": "boolean",
              "description": "The isapiagent value"
            },
            "splashtop_authorized": {
              "type": "boolean",
              "description": "Splashtop Authorized"
            },
            "gotoresolve_authorized": {
              "type": "boolean",
              "description": "Gotoresolve Authorized"
            },
            "datecreated": {
              "type": "string",
              "format": "date-time",
              "description": "The datecreated value"
            },
            "password": {
              "type": "string",
              "description": "The password value"
            },
            "lunchbreak": {
              "type": "number",
              "format": "double",
              "description": "The lunchbreak value"
            },
            "agentphotodata": {
              "type": "string",
              "description": "The agentphotodata value"
            },
            "pagesize": {
              "type": "integer",
              "format": "int32",
              "description": "Number of results per page"
            },
            "signature": {
              "type": "string",
              "description": "The signature value"
            },
            "default_filter_id_tickets": {
              "type": "integer",
              "format": "int32",
              "description": "Default Filter Id Tickets"
            },
            "default_filter_name_tickets": {
              "type": "string",
              "description": "Default Filter Name Tickets"
            },
            "default_columns_id_tickets": {
              "type": "integer",
              "format": "int32",
              "description": "Default Columns Id Tickets"
            },
            "default_columns_name_tickets": {
              "type": "string",
              "description": "Default Columns Name Tickets"
            },
            "default_view_tickets": {
              "type": "string",
              "description": "Default View Tickets"
            },
            "default_view_tickets_selectedid": {
              "type": "integer",
              "format": "int32",
              "description": "Default View Tickets Selectedid"
            },
            "default_view_tickets_selectedname": {
              "type": "string",
              "description": "Default View Tickets Selectedname"
            },
            "default_filter_id_opps": {
              "type": "integer",
              "format": "int32",
              "description": "Default Filter Id Opps"
            },
            "default_filter_name_opps": {
              "type": "string",
              "description": "Default Filter Name Opps"
            },
            "default_columns_id_opps": {
              "type": "integer",
              "format": "int32",
              "description": "Default Columns Id Opps"
            },
            "default_columns_name_opps": {
              "type": "string",
              "description": "Default Columns Name Opps"
            },
            "default_view_opps": {
              "type": "string",
              "description": "Default View Opps"
            },
            "default_view_opps_selectedid": {
              "type": "integer",
              "format": "int32",
              "description": "Default View Opps Selectedid"
            },
            "default_view_opps_selectedname": {
              "type": "string",
              "description": "Default View Opps Selectedname"
            },
            "default_action_view": {
              "type": "string",
              "description": "Default Action View"
            },
            "default_action_display": {
              "type": "integer",
              "format": "int32",
              "description": "Default Action Display"
            },
            "default_feed_view": {
              "type": "string",
              "description": "Default Feed View"
            },
            "ticket_preview_mode": {
              "type": "integer",
              "format": "int32",
              "description": "Ticket Preview Mode"
            },
            "default_ticket_preview_size": {
              "type": "integer",
              "format": "int32",
              "description": "Default Ticket Preview Size"
            },
            "tree_display_mode": {
              "type": "integer",
              "format": "int32",
              "description": "Tree Display Mode"
            },
            "halo_tab_pref": {
              "type": "integer",
              "format": "int32",
              "description": "Halo Tab Pref"
            },
            "list_type": {
              "type": "integer",
              "format": "int32",
              "description": "List Type"
            },
            "navmenu_mode": {
              "type": "integer",
              "format": "int32",
              "description": "Navmenu Mode"
            },
            "default_calendar_view": {
              "type": "string",
              "description": "Default Calendar View"
            },
            "calendar_options": {
              "type": "string",
              "description": "Calendar Options"
            },
            "search_options": {
              "type": "string",
              "description": "Search Options"
            },
            "newtabpref": {
              "type": "integer",
              "format": "int32",
              "description": "The newtabpref value"
            },
            "theme": {
              "type": "string",
              "description": "The theme value"
            },
            "theme_revert": {
              "type": "string",
              "description": "Theme Revert"
            },
            "language_id": {
              "type": "integer",
              "format": "int32",
              "description": "Language Id"
            },
            "language_name": {
              "type": "string",
              "description": "Language Name"
            },
            "app_colour": {
              "type": "string",
              "description": "App Colour"
            },
            "app_colour_type": {
              "type": "integer",
              "format": "int32",
              "description": "App Colour Type"
            },
            "nav_colour": {
              "type": "string",
              "description": "Nav Colour"
            },
            "nav_colour_type": {
              "type": "integer",
              "format": "int32",
              "description": "Nav Colour Type"
            },
            "nav_display_mode": {
              "type": "integer",
              "format": "int32",
              "description": "Nav Display Mode"
            },
            "enablehighcontrast": {
              "type": "boolean",
              "description": "The enablehighcontrast value"
            },
            "actionscreen_display_type": {
              "type": "integer",
              "format": "int32",
              "description": "Actionscreen Display Type"
            },
            "homescreenchartid": {
              "type": "integer",
              "format": "int32",
              "description": "The homescreenchartid value"
            },
            "homescreenchartname": {
              "type": "string",
              "description": "The homescreenchartname value"
            },
            "homescreenchartpublishedid": {
              "type": "string",
              "description": "The homescreenchartpublishedid value"
            },
            "homescreendashboardid": {
              "type": "integer",
              "format": "int32",
              "description": "The homescreendashboardid value"
            },
            "homescreendashboardname": {
              "type": "string",
              "description": "The homescreendashboardname value"
            },
            "sidemenudashboardid": {
              "type": "integer",
              "format": "int32",
              "description": "The sidemenudashboardid value"
            },
            "sidemenudashboardname": {
              "type": "string",
              "description": "The sidemenudashboardname value"
            },
            "clientdetails_layout_id": {
              "type": "integer",
              "format": "int32",
              "description": "Clientdetails Layout Id"
            },
            "clientdetails_layout_name": {
              "type": "string",
              "description": "Clientdetails Layout Name"
            },
            "nav_layout_id": {
              "type": "integer",
              "format": "int32",
              "description": "Nav Layout Id"
            },
            "nav_layout_name": {
              "type": "string",
              "description": "Nav Layout Name"
            },
            "sendowneremails": {
              "type": "boolean",
              "description": "The sendowneremails value"
            },
            "warnifnoscan": {
              "type": "boolean",
              "description": "The warnifnoscan value"
            },
            "dontemailmeifiloggedit": {
              "type": "boolean",
              "description": "The dontemailmeifiloggedit value"
            },
            "workhour_start": {
              "type": "number",
              "format": "double",
              "description": "Workhour Start"
            },
            "workhour_end": {
              "type": "number",
              "format": "double",
              "description": "Workhour End"
            },
            "activedirectory_dn": {
              "type": "string",
              "description": "Activedirectory Dn"
            },
            "third_party_guid": {
              "type": "string",
              "description": "Third Party Guid"
            },
            "roles": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "intent": {
                    "type": "string"
                  },
                  "chargerates": {
                    "type": "array"
                  },
                  "id_int": {
                    "type": "integer"
                  },
                  "notes": {
                    "type": "string"
                  },
                  "teams": {
                    "type": "array"
                  },
                  "departments": {
                    "type": "array"
                  },
                  "clients": {
                    "type": "array"
                  },
                  "tickettypes": {
                    "type": "array"
                  },
                  "assetfields": {
                    "type": "array"
                  },
                  "unamecustomfields": {
                    "type": "array"
                  },
                  "unameappointmenttypes": {
                    "type": "array"
                  },
                  "notifications": {
                    "type": "array"
                  },
                  "claims": {
                    "type": "array"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "assettypes": {
                    "type": "array"
                  },
                  "Oo_name": {
                    "type": "string"
                  },
                  "uname_usercustomfields": {
                    "type": "array"
                  },
                  "access_control": {
                    "type": "array"
                  },
                  "access_control_level": {
                    "type": "integer"
                  },
                  "ac_tickettypes": {
                    "type": "array"
                  },
                  "ac_approvals": {
                    "type": "array"
                  },
                  "ac_rules": {
                    "type": "array"
                  },
                  "ac_cannedtext": {
                    "type": "array"
                  },
                  "ac_customfields": {
                    "type": "array"
                  },
                  "ac_customtables": {
                    "type": "array"
                  },
                  "ac_dashboards": {
                    "type": "array"
                  },
                  "ac_workflows": {
                    "type": "array"
                  },
                  "ac_roles": {
                    "type": "array"
                  },
                  "ac_slas": {
                    "type": "array"
                  },
                  "ac_templates": {
                    "type": "array"
                  },
                  "ac_outcomes": {
                    "type": "array"
                  },
                  "ac_workdays": {
                    "type": "array"
                  },
                  "ac_emailtemplates": {
                    "type": "array"
                  },
                  "ac_messagegroups": {
                    "type": "array"
                  },
                  "ac_reportgroups": {
                    "type": "array"
                  },
                  "ac_fieldgroups": {
                    "type": "array"
                  },
                  "ac_languagepacks": {
                    "type": "array"
                  },
                  "ac_itemgroups": {
                    "type": "array"
                  },
                  "ac_suppliers": {
                    "type": "array"
                  },
                  "ac_suppliercontracts": {
                    "type": "array"
                  },
                  "is_integration": {
                    "type": "boolean"
                  },
                  "ac_assettypes": {
                    "type": "array"
                  },
                  "ac_assetgroups": {
                    "type": "array"
                  },
                  "ac_servicecategories": {
                    "type": "array"
                  },
                  "ac_services": {
                    "type": "array"
                  },
                  "ac_chatprofiles": {
                    "type": "array"
                  },
                  "ac_faqlists": {
                    "type": "array"
                  },
                  "ac_devices": {
                    "type": "array"
                  },
                  "sites": {
                    "type": "array"
                  },
                  "ac_databaselookups": {
                    "type": "array"
                  },
                  "ac_notifications": {
                    "type": "array"
                  },
                  "ac_columnprofiles": {
                    "type": "array"
                  },
                  "ac_lists": {
                    "type": "array"
                  },
                  "ac_filterprofiles": {
                    "type": "array"
                  },
                  "ac_webhooks": {
                    "type": "array"
                  },
                  "ac_customintegrations": {
                    "type": "array"
                  },
                  "cloned_from_id": {
                    "type": "string"
                  },
                  "ac_azuread": {
                    "type": "array"
                  },
                  "ac_pdftemplates": {
                    "type": "array"
                  },
                  "ac_softwareproducts": {
                    "type": "array"
                  },
                  "ac_assetfields": {
                    "type": "array"
                  },
                  "ac_folders": {
                    "type": "array"
                  },
                  "ac_qualifications": {
                    "type": "array"
                  },
                  "ac_reports": {
                    "type": "array"
                  },
                  "ac_datasources": {
                    "type": "array"
                  },
                  "ac_compositereports": {
                    "type": "array"
                  },
                  "new_external_link": {
                    "type": "object"
                  },
                  "_match_thirdparty_id": {
                    "type": "string"
                  },
                  "_match_additional_id": {
                    "type": "string"
                  },
                  "_match_integration_id": {
                    "type": "integer"
                  },
                  "_match_integration_name": {
                    "type": "string"
                  },
                  "ac_custombuttons": {
                    "type": "array"
                  },
                  "ac_customtabs": {
                    "type": "array"
                  },
                  "role_cost": {
                    "type": "number"
                  },
                  "_isimport": {
                    "type": "boolean"
                  },
                  "_importtype": {
                    "type": "string"
                  },
                  "import_details_id": {
                    "type": "integer"
                  },
                  "_do_reassignteam01": {
                    "type": "boolean"
                  },
                  "check_reassign01": {
                    "type": "boolean"
                  },
                  "ac_dashboardtab": {
                    "type": "array"
                  },
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "normalizedName": {
                    "type": "string"
                  },
                  "concurrencyStamp": {
                    "type": "string"
                  }
                }
              },
              "description": "The roles value"
            },
            "add_roles": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "intent": {
                    "type": "string"
                  },
                  "chargerates": {
                    "type": "array"
                  },
                  "id_int": {
                    "type": "integer"
                  },
                  "notes": {
                    "type": "string"
                  },
                  "teams": {
                    "type": "array"
                  },
                  "departments": {
                    "type": "array"
                  },
                  "clients": {
                    "type": "array"
                  },
                  "tickettypes": {
                    "type": "array"
                  },
                  "assetfields": {
                    "type": "array"
                  },
                  "unamecustomfields": {
                    "type": "array"
                  },
                  "unameappointmenttypes": {
                    "type": "array"
                  },
                  "notifications": {
                    "type": "array"
                  },
                  "claims": {
                    "type": "array"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "assettypes": {
                    "type": "array"
                  },
                  "Oo_name": {
                    "type": "string"
                  },
                  "uname_usercustomfields": {
                    "type": "array"
                  },
                  "access_control": {
                    "type": "array"
                  },
                  "access_control_level": {
                    "type": "integer"
                  },
                  "ac_tickettypes": {
                    "type": "array"
                  },
                  "ac_approvals": {
                    "type": "array"
                  },
                  "ac_rules": {
                    "type": "array"
                  },
                  "ac_cannedtext": {
                    "type": "array"
                  },
                  "ac_customfields": {
                    "type": "array"
                  },
                  "ac_customtables": {
                    "type": "array"
                  },
                  "ac_dashboards": {
                    "type": "array"
                  },
                  "ac_workflows": {
                    "type": "array"
                  },
                  "ac_roles": {
                    "type": "array"
                  },
                  "ac_slas": {
                    "type": "array"
                  },
                  "ac_templates": {
                    "type": "array"
                  },
                  "ac_outcomes": {
                    "type": "array"
                  },
                  "ac_workdays": {
                    "type": "array"
                  },
                  "ac_emailtemplates": {
                    "type": "array"
                  },
                  "ac_messagegroups": {
                    "type": "array"
                  },
                  "ac_reportgroups": {
                    "type": "array"
                  },
                  "ac_fieldgroups": {
                    "type": "array"
                  },
                  "ac_languagepacks": {
                    "type": "array"
                  },
                  "ac_itemgroups": {
                    "type": "array"
                  },
                  "ac_suppliers": {
                    "type": "array"
                  },
                  "ac_suppliercontracts": {
                    "type": "array"
                  },
                  "is_integration": {
                    "type": "boolean"
                  },
                  "ac_assettypes": {
                    "type": "array"
                  },
                  "ac_assetgroups": {
                    "type": "array"
                  },
                  "ac_servicecategories": {
                    "type": "array"
                  },
                  "ac_services": {
                    "type": "array"
                  },
                  "ac_chatprofiles": {
                    "type": "array"
                  },
                  "ac_faqlists": {
                    "type": "array"
                  },
                  "ac_devices": {
                    "type": "array"
                  },
                  "sites": {
                    "type": "array"
                  },
                  "ac_databaselookups": {
                    "type": "array"
                  },
                  "ac_notifications": {
                    "type": "array"
                  },
                  "ac_columnprofiles": {
                    "type": "array"
                  },
                  "ac_lists": {
                    "type": "array"
                  },
                  "ac_filterprofiles": {
                    "type": "array"
                  },
                  "ac_webhooks": {
                    "type": "array"
                  },
                  "ac_customintegrations": {
                    "type": "array"
                  },
                  "cloned_from_id": {
                    "type": "string"
                  },
                  "ac_azuread": {
                    "type": "array"
                  },
                  "ac_pdftemplates": {
                    "type": "array"
                  },
                  "ac_softwareproducts": {
                    "type": "array"
                  },
                  "ac_assetfields": {
                    "type": "array"
                  },
                  "ac_folders": {
                    "type": "array"
                  },
                  "ac_qualifications": {
                    "type": "array"
                  },
                  "ac_reports": {
                    "type": "array"
                  },
                  "ac_datasources": {
                    "type": "array"
                  },
                  "ac_compositereports": {
                    "type": "array"
                  },
                  "new_external_link": {
                    "type": "object"
                  },
                  "_match_thirdparty_id": {
                    "type": "string"
                  },
                  "_match_additional_id": {
                    "type": "string"
                  },
                  "_match_integration_id": {
                    "type": "integer"
                  },
                  "_match_integration_name": {
                    "type": "string"
                  },
                  "ac_custombuttons": {
                    "type": "array"
                  },
                  "ac_customtabs": {
                    "type": "array"
                  },
                  "role_cost": {
                    "type": "number"
                  },
                  "_isimport": {
                    "type": "boolean"
                  },
                  "_importtype": {
                    "type": "string"
                  },
                  "import_details_id": {
                    "type": "integer"
                  },
                  "_do_reassignteam01": {
                    "type": "boolean"
                  },
                  "check_reassign01": {
                    "type": "boolean"
                  },
                  "ac_dashboardtab": {
                    "type": "array"
                  },
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "normalizedName": {
                    "type": "string"
                  },
                  "concurrencyStamp": {
                    "type": "string"
                  }
                }
              },
              "description": "Add Roles"
            },
            "claims": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "type": {
                    "type": "string"
                  },
                  "value": {
                    "type": "string"
                  }
                }
              },
              "description": "The claims value"
            },
            "department": {
              "type": "string",
              "description": "The department value"
            },
            "_is_a_departmentmanager": {
              "type": "boolean",
              "description": "Is A Departmentmanager"
            },
            "_is_a_teammanager": {
              "type": "boolean",
              "description": "Is A Teammanager"
            },
            "access_control": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "entity": {
                    "type": "string"
                  },
                  "entity_id": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "integer"
                  },
                  "team_id": {
                    "type": "integer"
                  },
                  "team_guid": {
                    "type": "string"
                  },
                  "department_id": {
                    "type": "integer"
                  },
                  "department_guid": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "level": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "entity_name": {
                    "type": "string"
                  },
                  "entity_text_id": {
                    "type": "string"
                  }
                }
              },
              "description": "Access Control"
            },
            "twofactor_enabled": {
              "type": "boolean",
              "description": "Twofactor Enabled"
            },
            "_isnew": {
              "type": "boolean",
              "description": "The isnew value"
            },
            "adconnection": {
              "type": "integer",
              "format": "int32",
              "description": "The adconnection value"
            },
            "useadlogin": {
              "type": "integer",
              "format": "int32",
              "description": "The useadlogin value"
            },
            "container_dn": {
              "type": "string",
              "description": "Container Dn"
            },
            "notifications": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "guid": {
                    "type": "string"
                  },
                  "intent": {
                    "type": "string"
                  },
                  "id": {
                    "type": "integer"
                  },
                  "name": {
                    "type": "string"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "agent_name": {
                    "type": "string"
                  },
                  "team_id": {
                    "type": "integer"
                  },
                  "team_guid": {
                    "type": "string"
                  },
                  "team_name": {
                    "type": "string"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "delivery_method": {
                    "type": "integer"
                  },
                  "sendpushnotification": {
                    "type": "boolean"
                  },
                  "sendpushnotificationbrowser": {
                    "type": "boolean"
                  },
                  "popupinnotificationpane": {
                    "type": "boolean"
                  },
                  "eventno": {
                    "type": "integer"
                  },
                  "emailtemplate_id": {
                    "type": "integer"
                  },
                  "emailtemplate_guid": {
                    "type": "string"
                  },
                  "emailtemplate_name": {
                    "type": "string"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "user_name": {
                    "type": "string"
                  },
                  "email_list": {
                    "type": "string"
                  },
                  "slack_id": {
                    "type": "integer"
                  },
                  "interval": {
                    "type": "number"
                  },
                  "useworkinghours": {
                    "type": "integer"
                  },
                  "restriction_type": {
                    "type": "integer"
                  },
                  "restriction_department_id": {
                    "type": "integer"
                  },
                  "restriction_department_guid": {
                    "type": "string"
                  },
                  "restriction_department_name": {
                    "type": "string"
                  },
                  "restriction_team_id": {
                    "type": "integer"
                  },
                  "restriction_team_guid": {
                    "type": "string"
                  },
                  "restriction_team_name": {
                    "type": "string"
                  },
                  "webhook_id": {
                    "type": "string"
                  },
                  "agents": {
                    "type": "array"
                  },
                  "condition_count": {
                    "type": "integer"
                  },
                  "subscriber_count": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "string"
                  },
                  "role_name": {
                    "type": "string"
                  },
                  "conditions": {
                    "type": "array"
                  },
                  "_canupdate": {
                    "type": "boolean"
                  },
                  "slack_channel_name": {
                    "type": "string"
                  },
                  "teams_id": {
                    "type": "integer"
                  },
                  "teams_channel_name": {
                    "type": "string"
                  },
                  "value1": {
                    "type": "integer"
                  },
                  "value1_name": {
                    "type": "string"
                  },
                  "_iszapier": {
                    "type": "boolean"
                  },
                  "filter_sitecontact": {
                    "type": "boolean"
                  },
                  "sitecontact_type": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "roles": {
                    "type": "array"
                  },
                  "mattermost_channelid": {
                    "type": "integer"
                  },
                  "mattermost_channel_name": {
                    "type": "string"
                  },
                  "rule_id": {
                    "type": "integer"
                  },
                  "rule_guid": {
                    "type": "string"
                  },
                  "rule_name": {
                    "type": "string"
                  },
                  "user_roles": {
                    "type": "array"
                  },
                  "filter_type": {
                    "type": "integer"
                  },
                  "customisecolour": {
                    "type": "boolean"
                  },
                  "colour": {
                    "type": "string"
                  },
                  "access_control": {
                    "type": "array"
                  },
                  "access_control_level": {
                    "type": "integer"
                  },
                  "safe_instances": {
                    "type": "integer"
                  },
                  "safe_instance_list": {
                    "type": "array"
                  },
                  "twilio_details": {
                    "type": "integer"
                  },
                  "twilio_number": {
                    "type": "string"
                  },
                  "flow_seq": {
                    "type": "integer"
                  },
                  "flow_id": {
                    "type": "integer"
                  },
                  "outcomes": {
                    "type": "array"
                  },
                  "acknowledge_type": {
                    "type": "integer"
                  },
                  "acknowledge_complete": {
                    "type": "string"
                  },
                  "acknowledge_empty": {
                    "type": "string"
                  }
                }
              },
              "description": "The notifications value"
            },
            "notifications_personal": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "guid": {
                    "type": "string"
                  },
                  "intent": {
                    "type": "string"
                  },
                  "id": {
                    "type": "integer"
                  },
                  "name": {
                    "type": "string"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "agent_name": {
                    "type": "string"
                  },
                  "team_id": {
                    "type": "integer"
                  },
                  "team_guid": {
                    "type": "string"
                  },
                  "team_name": {
                    "type": "string"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "delivery_method": {
                    "type": "integer"
                  },
                  "sendpushnotification": {
                    "type": "boolean"
                  },
                  "sendpushnotificationbrowser": {
                    "type": "boolean"
                  },
                  "popupinnotificationpane": {
                    "type": "boolean"
                  },
                  "eventno": {
                    "type": "integer"
                  },
                  "emailtemplate_id": {
                    "type": "integer"
                  },
                  "emailtemplate_guid": {
                    "type": "string"
                  },
                  "emailtemplate_name": {
                    "type": "string"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "user_name": {
                    "type": "string"
                  },
                  "email_list": {
                    "type": "string"
                  },
                  "slack_id": {
                    "type": "integer"
                  },
                  "interval": {
                    "type": "number"
                  },
                  "useworkinghours": {
                    "type": "integer"
                  },
                  "restriction_type": {
                    "type": "integer"
                  },
                  "restriction_department_id": {
                    "type": "integer"
                  },
                  "restriction_department_guid": {
                    "type": "string"
                  },
                  "restriction_department_name": {
                    "type": "string"
                  },
                  "restriction_team_id": {
                    "type": "integer"
                  },
                  "restriction_team_guid": {
                    "type": "string"
                  },
                  "restriction_team_name": {
                    "type": "string"
                  },
                  "webhook_id": {
                    "type": "string"
                  },
                  "agents": {
                    "type": "array"
                  },
                  "condition_count": {
                    "type": "integer"
                  },
                  "subscriber_count": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "string"
                  },
                  "role_name": {
                    "type": "string"
                  },
                  "conditions": {
                    "type": "array"
                  },
                  "_canupdate": {
                    "type": "boolean"
                  },
                  "slack_channel_name": {
                    "type": "string"
                  },
                  "teams_id": {
                    "type": "integer"
                  },
                  "teams_channel_name": {
                    "type": "string"
                  },
                  "value1": {
                    "type": "integer"
                  },
                  "value1_name": {
                    "type": "string"
                  },
                  "_iszapier": {
                    "type": "boolean"
                  },
                  "filter_sitecontact": {
                    "type": "boolean"
                  },
                  "sitecontact_type": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "roles": {
                    "type": "array"
                  },
                  "mattermost_channelid": {
                    "type": "integer"
                  },
                  "mattermost_channel_name": {
                    "type": "string"
                  },
                  "rule_id": {
                    "type": "integer"
                  },
                  "rule_guid": {
                    "type": "string"
                  },
                  "rule_name": {
                    "type": "string"
                  },
                  "user_roles": {
                    "type": "array"
                  },
                  "filter_type": {
                    "type": "integer"
                  },
                  "customisecolour": {
                    "type": "boolean"
                  },
                  "colour": {
                    "type": "string"
                  },
                  "access_control": {
                    "type": "array"
                  },
                  "access_control_level": {
                    "type": "integer"
                  },
                  "safe_instances": {
                    "type": "integer"
                  },
                  "safe_instance_list": {
                    "type": "array"
                  },
                  "twilio_details": {
                    "type": "integer"
                  },
                  "twilio_number": {
                    "type": "string"
                  },
                  "flow_seq": {
                    "type": "integer"
                  },
                  "flow_id": {
                    "type": "integer"
                  },
                  "outcomes": {
                    "type": "array"
                  },
                  "acknowledge_type": {
                    "type": "integer"
                  },
                  "acknowledge_complete": {
                    "type": "string"
                  },
                  "acknowledge_empty": {
                    "type": "string"
                  }
                }
              },
              "description": "Notifications Personal"
            },
            "emailconfirmed": {
              "type": "boolean",
              "description": "The emailconfirmed value"
            },
            "accountconfirmed": {
              "type": "boolean",
              "description": "The accountconfirmed value"
            },
            "isinvite": {
              "type": "boolean",
              "description": "The isinvite value"
            },
            "is_sales": {
              "type": "boolean",
              "description": "Is Sales"
            },
            "_getlogmeinid": {
              "type": "boolean",
              "description": "The getlogmeinid value"
            },
            "_isimport": {
              "type": "boolean",
              "description": "The isimport value"
            },
            "_importtype": {
              "type": "string",
              "description": "The importtype value"
            },
            "_importtoken": {
              "type": "string",
              "description": "The importtoken value"
            },
            "beyondtrust_name": {
              "type": "string",
              "description": "Beyondtrust Name"
            },
            "azure_roleid": {
              "type": "integer",
              "format": "int32",
              "description": "Azure Roleid"
            },
            "customfields": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "name": {
                    "type": "string"
                  },
                  "label": {
                    "type": "string"
                  },
                  "summary": {
                    "type": "string"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "value": {},
                  "value_is_password_id": {
                    "type": "boolean"
                  },
                  "display": {
                    "type": "string"
                  },
                  "characterlimit": {
                    "type": "integer"
                  },
                  "characterlimittype": {
                    "type": "integer"
                  },
                  "inputtype": {
                    "type": "integer"
                  },
                  "copytochild": {
                    "type": "boolean"
                  },
                  "copytoparent": {
                    "type": "boolean"
                  },
                  "searchable": {
                    "type": "boolean"
                  },
                  "ordervalues": {
                    "type": "boolean"
                  },
                  "ordervaluesby": {
                    "type": "integer"
                  },
                  "database_lookup_id": {
                    "type": "integer"
                  },
                  "database_lookup_auto": {
                    "type": "boolean"
                  },
                  "database_lookup_triggers": {
                    "type": "array"
                  },
                  "third_party_name": {
                    "type": "string"
                  },
                  "extratype": {
                    "type": "integer"
                  },
                  "copytochildonupdate": {
                    "type": "boolean"
                  },
                  "copytograndchildonupdate": {
                    "type": "boolean"
                  },
                  "copytoparentonupdate": {
                    "type": "boolean"
                  },
                  "hyperlink": {
                    "type": "string"
                  },
                  "usage": {
                    "type": "integer"
                  },
                  "linked_table_id": {
                    "type": "integer"
                  },
                  "showondetailsscreen": {
                    "type": "boolean"
                  },
                  "third_party_value": {
                    "type": "string"
                  },
                  "custom_extra_table_id": {
                    "type": "integer"
                  },
                  "copytorelated": {
                    "type": "boolean"
                  },
                  "only_validate_on_creation": {
                    "type": "boolean"
                  },
                  "calculation": {
                    "type": "string"
                  },
                  "rounding": {
                    "type": "integer"
                  },
                  "validation_reasons": {
                    "type": "array"
                  },
                  "int_value_is_display": {
                    "type": "boolean"
                  },
                  "regex": {
                    "type": "string"
                  },
                  "onlyshowforagents": {
                    "type": "boolean"
                  },
                  "is_horizontal": {
                    "type": "boolean"
                  },
                  "copied": {
                    "type": "boolean"
                  },
                  "isencrypted": {
                    "type": "boolean"
                  },
                  "max_selection": {
                    "type": "integer"
                  },
                  "guid": {
                    "type": "string"
                  },
                  "selection_field_id": {
                    "type": "integer"
                  },
                  "variable_format_1": {
                    "type": "string"
                  },
                  "variable_format_2": {
                    "type": "string"
                  },
                  "validation_data": {
                    "type": "array"
                  },
                  "database_lookup_input": {
                    "type": "integer"
                  },
                  "table_data_entry_type": {
                    "type": "integer"
                  },
                  "showintable": {
                    "type": "boolean"
                  },
                  "table_height": {
                    "type": "integer"
                  },
                  "dont_delete_rows": {
                    "type": "boolean"
                  },
                  "table_matching_field": {
                    "type": "integer"
                  },
                  "new_storage_method": {
                    "type": "boolean"
                  },
                  "where_sql": {
                    "type": "string"
                  },
                  "load_type": {
                    "type": "integer"
                  },
                  "add_rows": {
                    "type": "boolean"
                  },
                  "delete_these_rows": {
                    "type": "array"
                  },
                  "showinpool": {
                    "type": "boolean"
                  },
                  "allow_pool_override": {
                    "type": "boolean"
                  },
                  "details_column_group": {
                    "type": "integer"
                  },
                  "add_row_per_value": {
                    "type": "boolean"
                  },
                  "store_in_fielddata": {
                    "type": "boolean"
                  },
                  "first_value_default": {
                    "type": "boolean"
                  },
                  "copytoparentnewticket": {
                    "type": "boolean"
                  }
                }
              },
              "description": "The customfields value"
            },
            "chargerates": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "key1": {
                    "type": "integer"
                  },
                  "key1_name": {
                    "type": "string"
                  },
                  "key2": {
                    "type": "integer"
                  },
                  "key2_guid": {
                    "type": "string"
                  },
                  "key2_name": {
                    "type": "string"
                  },
                  "role_id": {
                    "type": "string"
                  },
                  "role_name": {
                    "type": "string"
                  },
                  "_warning": {
                    "type": "string"
                  }
                }
              },
              "description": "The chargerates value"
            },
            "warnifnoscan_integrator": {
              "type": "boolean",
              "description": "Warnifnoscan Integrator"
            },
            "warnifnoscan_integrator_hours": {
              "type": "integer",
              "format": "int32",
              "description": "Warnifnoscan Integrator Hours"
            },
            "orion_username": {
              "type": "string",
              "description": "Orion Username"
            },
            "orion_password": {
              "type": "string",
              "description": "Orion Password"
            },
            "ncentral_username": {
              "type": "string",
              "description": "Ncentral Username"
            },
            "soc_username": {
              "type": "string",
              "description": "Soc Username"
            },
            "autotaskid": {
              "type": "integer",
              "format": "int32",
              "description": "The autotaskid value"
            },
            "oktaid": {
              "type": "string",
              "description": "The oktaid value"
            },
            "okta_status": {
              "type": "string",
              "description": "Okta Status"
            },
            "new_ncentral_key": {
              "type": "string",
              "description": "New Ncentral Key"
            },
            "pomincostforapprovaltype": {
              "type": "integer",
              "format": "int32",
              "description": "The pomincostforapprovaltype value"
            },
            "pomincostforapproval": {
              "type": "number",
              "format": "double",
              "description": "The pomincostforapproval value"
            },
            "quotemarginforapprovaltype": {
              "type": "integer",
              "format": "int32",
              "description": "The quotemarginforapprovaltype value"
            },
            "quotemarginforapproval": {
              "type": "number",
              "format": "double",
              "description": "The quotemarginforapproval value"
            },
            "new_orion_password": {
              "type": "string",
              "description": "New Orion Password"
            },
            "orion_access": {
              "type": "boolean",
              "description": "Orion Access"
            },
            "new_method": {
              "type": "boolean",
              "description": "New Method"
            },
            "exchange_token_expiry": {
              "type": "string",
              "format": "date-time",
              "description": "Exchange Token Expiry"
            },
            "exchange_redirect": {
              "type": "string",
              "description": "Exchange Redirect"
            },
            "_getoauthtoken": {
              "type": "boolean",
              "description": "The getoauthtoken value"
            },
            "oauth_code": {
              "type": "string",
              "description": "Oauth Code"
            },
            "oauth_code_verifier": {
              "type": "string",
              "description": "Oauth Code Verifier"
            },
            "oauth_redirect": {
              "type": "string",
              "description": "Oauth Redirect"
            },
            "oauth_type": {
              "type": "string",
              "description": "Oauth Type"
            },
            "oauth_state": {
              "type": "string",
              "description": "Oauth State"
            },
            "new_access_token": {
              "type": "string",
              "description": "New Access Token"
            },
            "new_token_type": {
              "type": "string",
              "description": "New Token Type"
            },
            "new_refresh_token": {
              "type": "string",
              "description": "New Refresh Token"
            },
            "_disconnectintegration": {
              "type": "string",
              "description": "The disconnectintegration value"
            },
            "sentinel_token_expiry": {
              "type": "string",
              "format": "date-time",
              "description": "Sentinel Token Expiry"
            },
            "sentinel_redirect": {
              "type": "string",
              "description": "Sentinel Redirect"
            },
            "default_columns_id_assets": {
              "type": "integer",
              "format": "int32",
              "description": "Default Columns Id Assets"
            },
            "Oo_name": {
              "type": "string",
              "description": "Oo Name"
            },
            "_warning": {
              "type": "string",
              "description": "The warning value"
            },
            "isagentdetails": {
              "type": "boolean",
              "description": "The isagentdetails value"
            },
            "excludefromresourcebooking": {
              "type": "boolean",
              "description": "The excludefromresourcebooking value"
            },
            "delegation_activated": {
              "type": "boolean",
              "description": "Delegation Activated"
            },
            "delegation_timebased": {
              "type": "boolean",
              "description": "Delegation Timebased"
            },
            "delegation_start": {
              "type": "string",
              "format": "date-time",
              "description": "Delegation Start"
            },
            "delegation_end": {
              "type": "string",
              "format": "date-time",
              "description": "Delegation End"
            },
            "delegation_user_id": {
              "type": "integer",
              "format": "int32",
              "description": "Delegation User Id"
            },
            "delegation_user_name": {
              "type": "string",
              "description": "Delegation User Name"
            },
            "_reassign_all_accounts_to_agent": {
              "type": "integer",
              "format": "int32",
              "description": "Reassign All Accounts To Agent"
            },
            "_kick": {
              "type": "boolean",
              "description": "The kick value"
            },
            "_revoke_tokens": {
              "type": "boolean",
              "description": "Revoke Tokens"
            },
            "authenticatorapp_configured": {
              "type": "boolean",
              "description": "Authenticatorapp Configured"
            },
            "_revoke_authenticatorapp": {
              "type": "boolean",
              "description": "Revoke Authenticatorapp"
            },
            "ispasswordreset": {
              "type": "boolean",
              "description": "The ispasswordreset value"
            },
            "graph_host": {
              "type": "string",
              "description": "Graph Host"
            },
            "linked_halo_url": {
              "type": "string",
              "description": "Linked Halo Url"
            },
            "holiday_allowance": {
              "type": "number",
              "format": "double",
              "description": "Holiday Allowance"
            },
            "agent_holiday_allowances": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "holiday_type": {
                    "type": "integer"
                  },
                  "allowance": {
                    "type": "number"
                  },
                  "remaining_allowance": {
                    "type": "number"
                  }
                }
              },
              "description": "Agent Holiday Allowances"
            },
            "remaining_holiday_allowance": {
              "type": "number",
              "format": "double",
              "description": "Remaining Holiday Allowance"
            },
            "_isbatch": {
              "type": "boolean",
              "description": "The isbatch value"
            },
            "import_photo": {
              "type": "boolean",
              "description": "Import Photo"
            },
            "travelrate": {
              "type": "integer",
              "format": "int32",
              "description": "The travelrate value"
            },
            "github_username": {
              "type": "string",
              "description": "Github Username"
            },
            "_signature_id": {
              "type": "string",
              "description": "Signature Id"
            },
            "_signature": {
              "type": "string",
              "description": "The signature value"
            },
            "is_admin": {
              "type": "boolean",
              "description": "Is Admin"
            },
            "ac_tickettypes": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "entity": {
                    "type": "string"
                  },
                  "entity_id": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "integer"
                  },
                  "team_id": {
                    "type": "integer"
                  },
                  "team_guid": {
                    "type": "string"
                  },
                  "department_id": {
                    "type": "integer"
                  },
                  "department_guid": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "level": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "entity_name": {
                    "type": "string"
                  },
                  "entity_text_id": {
                    "type": "string"
                  }
                }
              },
              "description": "Ac Tickettypes"
            },
            "ac_approvals": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "entity": {
                    "type": "string"
                  },
                  "entity_id": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "integer"
                  },
                  "team_id": {
                    "type": "integer"
                  },
                  "team_guid": {
                    "type": "string"
                  },
                  "department_id": {
                    "type": "integer"
                  },
                  "department_guid": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "level": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "entity_name": {
                    "type": "string"
                  },
                  "entity_text_id": {
                    "type": "string"
                  }
                }
              },
              "description": "Ac Approvals"
            },
            "ac_rules": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "entity": {
                    "type": "string"
                  },
                  "entity_id": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "integer"
                  },
                  "team_id": {
                    "type": "integer"
                  },
                  "team_guid": {
                    "type": "string"
                  },
                  "department_id": {
                    "type": "integer"
                  },
                  "department_guid": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "level": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "entity_name": {
                    "type": "string"
                  },
                  "entity_text_id": {
                    "type": "string"
                  }
                }
              },
              "description": "Ac Rules"
            },
            "ac_cannedtext": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "entity": {
                    "type": "string"
                  },
                  "entity_id": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "integer"
                  },
                  "team_id": {
                    "type": "integer"
                  },
                  "team_guid": {
                    "type": "string"
                  },
                  "department_id": {
                    "type": "integer"
                  },
                  "department_guid": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "level": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "entity_name": {
                    "type": "string"
                  },
                  "entity_text_id": {
                    "type": "string"
                  }
                }
              },
              "description": "Ac Cannedtext"
            },
            "ac_customfields": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "entity": {
                    "type": "string"
                  },
                  "entity_id": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "integer"
                  },
                  "team_id": {
                    "type": "integer"
                  },
                  "team_guid": {
                    "type": "string"
                  },
                  "department_id": {
                    "type": "integer"
                  },
                  "department_guid": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "level": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "entity_name": {
                    "type": "string"
                  },
                  "entity_text_id": {
                    "type": "string"
                  }
                }
              },
              "description": "Ac Customfields"
            },
            "ac_customtables": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "entity": {
                    "type": "string"
                  },
                  "entity_id": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "integer"
                  },
                  "team_id": {
                    "type": "integer"
                  },
                  "team_guid": {
                    "type": "string"
                  },
                  "department_id": {
                    "type": "integer"
                  },
                  "department_guid": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "level": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "entity_name": {
                    "type": "string"
                  },
                  "entity_text_id": {
                    "type": "string"
                  }
                }
              },
              "description": "Ac Customtables"
            },
            "ac_dashboards": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "entity": {
                    "type": "string"
                  },
                  "entity_id": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "integer"
                  },
                  "team_id": {
                    "type": "integer"
                  },
                  "team_guid": {
                    "type": "string"
                  },
                  "department_id": {
                    "type": "integer"
                  },
                  "department_guid": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "level": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "entity_name": {
                    "type": "string"
                  },
                  "entity_text_id": {
                    "type": "string"
                  }
                }
              },
              "description": "Ac Dashboards"
            },
            "ac_workflows": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "entity": {
                    "type": "string"
                  },
                  "entity_id": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "integer"
                  },
                  "team_id": {
                    "type": "integer"
                  },
                  "team_guid": {
                    "type": "string"
                  },
                  "department_id": {
                    "type": "integer"
                  },
                  "department_guid": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "level": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "entity_name": {
                    "type": "string"
                  },
                  "entity_text_id": {
                    "type": "string"
                  }
                }
              },
              "description": "Ac Workflows"
            },
            "ac_roles": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "entity": {
                    "type": "string"
                  },
                  "entity_id": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "integer"
                  },
                  "team_id": {
                    "type": "integer"
                  },
                  "team_guid": {
                    "type": "string"
                  },
                  "department_id": {
                    "type": "integer"
                  },
                  "department_guid": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "level": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "entity_name": {
                    "type": "string"
                  },
                  "entity_text_id": {
                    "type": "string"
                  }
                }
              },
              "description": "Ac Roles"
            },
            "ac_slas": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "entity": {
                    "type": "string"
                  },
                  "entity_id": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "integer"
                  },
                  "team_id": {
                    "type": "integer"
                  },
                  "team_guid": {
                    "type": "string"
                  },
                  "department_id": {
                    "type": "integer"
                  },
                  "department_guid": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "level": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "entity_name": {
                    "type": "string"
                  },
                  "entity_text_id": {
                    "type": "string"
                  }
                }
              },
              "description": "Ac Slas"
            },
            "ac_templates": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "entity": {
                    "type": "string"
                  },
                  "entity_id": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "integer"
                  },
                  "team_id": {
                    "type": "integer"
                  },
                  "team_guid": {
                    "type": "string"
                  },
                  "department_id": {
                    "type": "integer"
                  },
                  "department_guid": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "level": {
                    "type": "integer"
                  },
                  "_warning": {
                    "type": "string"
                  },
                  "entity_name": {
                    "type": "string"
                  },
                  "entity_text_id": {
                    "type": "string"
                  }
                }
              },
              "description": "Ac Templates"
            },
            "ac_outcomes": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "integer"
                  },
                  "entity": {
                    "type": "string"
                  },
                  "entity_id": {
                    "type": "integer"
                  },
                  "type": {
                    "type": "integer"
                  },
                  "agent_id": {
                    "type": "integer"
                  },
                  "user_id": {
                    "type": "integer"
                  },
                  "role_id": {
                    "type": "integer"
                  },
                  "team_id": {
[...]
